Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 220543

Summary: media-sound/esound-0.2.38-r1 fails to build with libtool 2.2
Product: Gentoo Linux Reporter: Mattia Rossi <mattia.rossi.mate>
Component: New packagesAssignee: Gentoo Linux Gnome Desktop Team <gnome>
Status: RESOLVED FIXED    
Severity: normal CC: sound
Priority: High    
Version: unspecified   
Hardware: AMD64   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 212763    

Description Mattia Rossi 2008-05-06 09:25:44 UTC
I'm getting the following error:

emerge esound
Calculating dependencies... done!
>>> Verifying ebuild Manifests...

>>> Emerging (1 of 1) media-sound/esound-0.2.38-r1 to /
 * esound-0.2.38.tar.bz2 RMD160 SHA1 SHA256 size ;-) ...                  [ ok ]
 * checking ebuild checksums ;-) ...                                      [ ok ]
 * checking auxfile checksums ;-) ...                                     [ ok ]
 * checking miscfile checksums ;-) ...                                    [ ok ]
 * checking esound-0.2.38.tar.bz2 ;-) ...                                 [ ok ]
>>> Unpacking source...
>>> Unpacking esound-0.2.38.tar.bz2 to /var/tmp/portage/media-sound/esound-0.2.38-r1/work
 * Applying esound-0.2.32-amd64.patch ...                                 [ ok ]
 * Applying esound-0.2.36-mode_t.patch ...                                [ ok ]
 * Applying esound-0.2.38-as-needed.patch ...                             [ ok ]
 * Applying esound-0.2.38-doc.patch ...                                   [ ok ]
 * Running eautoreconf in '/var/tmp/portage/media-sound/esound-0.2.38-r1/work/esound-0.2.38' ...
 * Running aclocal -I m4 -I m4 ...                                        [ !! ]

 * Failed Running aclocal !
 *
 * Include in your bugreport the contents of:
 *
 *   /var/tmp/portage/media-sound/esound-0.2.38-r1/temp/aclocal-19307.out

 *
 * ERROR: media-sound/esound-0.2.38-r1 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_unpack
 *             environment, line 2885:  Called eautoreconf
 *             environment, line  942:  Called eaclocal
 *             environment, line  881:  Called autotools_run_tool 'aclocal' '-I' 'm4' '-I' 'm4'
 *             environment, line  413:  Called die
 * The specific snippet of code:
 *           die "Failed Running $1 !";
 *  The die message:
 *   Failed Running aclocal !
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/media-sound/esound-0.2.38-r1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-sound/esound-0.2.38-r1/temp/environment'.
 *

Content of /var/tmp/portage/media-sound/esound-0.2.38-r1/temp/aclocal-19307.out:

cat /var/tmp/portage/media-sound/esound-0.2.38-r1/temp/aclocal-19669.out
***** aclocal *****
***** aclocal -I m4 -I m4

configure.ac:213: error: m4_require: circular dependency of AC_LANG_COMPILER(C++)
../../lib/autoconf/lang.m4:271: AC_LANG_COMPILER_REQUIRE is expanded from...
../../lib/autoconf/general.m4:2517: AC_LINK_IFELSE is expanded from...
/usr/share/aclocal/libtool.m4:1018: _LT_SYS_MODULE_PATH_AIX is expanded from...
/usr/share/aclocal/libtool.m4:5318: _LT_LANG_CXX_CONFIG is expanded from...
/usr/share/aclocal/libtool.m4:785: _LT_LANG is expanded from...
/usr/share/aclocal/libtool.m4:768: LT_LANG is expanded from...
../../lib/autoconf/c.m4:769: AC_LANG_COMPILER(C++) is expanded from...
../../lib/autoconf/lang.m4:271: AC_LANG_COMPILER_REQUIRE is expanded from...
../../lib/autoconf/general.m4:2575: AC_RUN_IFELSE is expanded from...
../../lib/autoconf/general.m4:2591: AC_TRY_RUN is expanded from...
m4/as-arts.m4:16: AM_PATH_ARTS is expanded from...
configure.ac:213: the top level
autom4te-2.62: /usr/bin/m4 failed with exit status: 1
aclocal-1.10: autom4te failed with exit status: 1

emerge --info:
emerge --info
Portage 2.1.5_rc6 (default/linux/amd64/2008.0, gcc-4.2.3, glibc-2.7-r2, 2.6.25-tuxonice-r2 x86_64)
=================================================================
System uname: 2.6.25-tuxonice-r2 x86_64 AMD Athlon(tm) 64 X2 Dual Core Processor 6400+
Timestamp of tree: Tue, 06 May 2008 08:06:01 +0000
app-shells/bash:     3.2_p39
dev-lang/python:     2.4.4-r6, 2.5.2-r2
dev-python/pycrypto: 2.0.1-r6
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.2.3
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.62
sys-devel/automake:  1.5, 1.7.9-r1, 1.9.6-r2, 1.10.1-r1
sys-devel/binutils:  2.18-r1
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   2.2.4
virtual/os-headers:  2.6.25-r1
ACCEPT_KEYWORDS="amd64 ~amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/env.d /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/splash /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="ccache distlocks parallel-fetch sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LDFLAGS=""
LINGUAS="it de en"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/opt/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="16bit 3ds 64bit 7zip X X509 a52 aac aalib acl acpi ads afs alsa amazon amd64 animgif apache2 apm aspell audiofile berkdb bidi bittorrent bl blas blender-game bluetooth bzip2 c++ ccache cdaudio cdda cddb cdf cdio cdparanoia cdr cdrom cdsound chroot cli corba cpio cpudetection cracklib crypt css cups curl custom-cflags daap dbox2 dbus dc1394 de_tvtoday dga direct_blit directfb directv disk-partition divx djvu dri drm dts dv dvb dvbplayer dvbsetup dvd dvdarchive dvdchapjump dvdr dvdread dvi dvlfriendlyfnames dvlrecscriptaddon dvlvidprefer dxr3 dxr3-audio-denoise eap-tls emovix enca encode esd espeak exif exiv2 expat fame fastcgi fat fbcon fbcondecor fbdev fbsplash festival ffmpeg fftw flac fontconfig fortran fping fpx freesound ftp gadu games gd gdbm geoip ggi gif glib glibc-compat20 glibc-omitfp glitz glut gmedia gphoto2 gpm graphviz gs gstreamer gzip gzip-el h323 hal hardware-carrier hddtemp hdri httpd icons iconv icq id3 id3tag ieee1394 image imagemagick imap imlib imlib2 ipod iproute2 ipsec iptv ipv6 irda irman isdnlog it ivtv jabber jack java6 jbig jfs jikes jingle joystick jpeg jpeg2k juju jumpplay ladspa lame lcd lcms ldap ldap-sasl libcaca libnotify libsamplerate libsexy libssh2 libvisual libwww liemikuutio lirc lircsettings live livebuffer livejournal lj lnbshare lnbsharing logwatch lua lyrics lzo m17n-lib mad madwifi matroska mbrola md5sum midi mikmod mime ming mixer mjpeg mmap mmx mng modplug motif mp2 mp3 mp3rtp mp4 mp4live mpd mpeg mpeg2 mplayer msn mudflap multilib musepack music musicbrainz mythtv nas ncurses nemesi net netjack netplay network networkmanager nfs nls nocxx nptl nptlonly nsplugin nss ntfs nvtv nxclient ogg ogg123 openal openexr opengl opengl-video openmp openssh openssl openvpn optimisememory oss pam pcre perl php png pnm portaudio posix postgres povray pppd pulseaudio python q32 q8 qq qt3 qt3support qt4 quicktime radio radius rar rdesktop readline realmedia recode reflection reiserfs rss rtc samba sametime sdl sdl-image sdl-sound sdlaudio seamless-hbars serial session sftp sharedmem slang smpeg smtp sndfile songs sound soundex sounds soundtouch speech speex spl sqlite sqlite3 srt sse sse2 ssl svg tcpd teletext tga tgif theora threads tidy tiff timidity tivo tls transcode transmitter truetype tv tv_check tv_combiner tv_pick_cgi twolame unicode unzip upnp urandom usb v4l v4l2 vcd vcdx vdr vga video videos vlm voice volctrl vorbis vorbis-psy wav wavpack wifi winpopup wma wmf wmp x264 xanim xcb xhtml xinerama xiph xml xmlreader xmlwriter xmp xorg xosd xpm xscreensaver xsl xslt xv xvid xvmc yaepg yahoo yv12 zeroconf zlib zoran" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CAMERAS="adc65 agfa_cl20 aox barbie canon casio_qv clicksmart310 digigr8 digita dimagev dimera3500 directory enigma13 fuji gsmart300 hp215 iclick jamcam jd11 kodak_dc120 kodak_dc210 kodak_dc240 kodak_dc3200 kodak_ez200 konica konica_qm150 largan lg_gsm mars mustek panasonic_coolshot panasonic_dc1000 panasonic_dc1580 panasonic_l859 pccam300 pccam600 polaroid_pdc320 polaroid_pdc640 polaroid_pdc700 ptp2 ricoh ricoh_g3 samsung sierra sipix_blink sipix_blink2 sipix_web2 smal sonix sony_dscf1 sony_dscf55 soundvision spca50x sq905 stv0674 stv0680 sx330z template toshiba_pdrm11" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="imon xosd" LINGUAS="it de en" LIRC_DEVICES="hauppauge hauppauge-dvb imon imon_pad imon_pad2keys imon_rsc inputlirc" USERLAND="GNU" VIDEO_CARDS="vesa radeon"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

Using:
[I] sys-devel/automake
     Available versions:
        (1.4)   1.4_p6
        (1.5)   1.5
        (1.6)   1.6.3
        (1.7)   1.7.9-r1
        (1.8)   1.8.5-r3
        (1.9)   1.9.6-r2
        (1.10)  1.10 1.10.1 (~)1.10.1-r1
        (9999)  **9999
     Installed versions:  1.5(1.5)(23:28:09 05/01/08) 1.7.9-r1(1.7)(12:33:15 05/05/08) 1.9.6-r2(1.9)(12:26:09 05/05/08) 1.10.1-r1(1.10)(11:14:26 05/06/08)

and

[I] sys-devel/autoconf
     Available versions:
        (2.1)   2.13
        (2.5)   2.59-r7 2.61-r1 (~)2.62 **9999
        {emacs}
     Installed versions:  2.13(2.1)(23:27:33 05/01/08) 2.62(2.5)(11:06:40 05/06/08)(-emacs)
Comment 1 Mattia Rossi 2008-05-06 09:30:39 UTC
I've actually also solved the problem.. but this is not the way to go i guess:
Just inserted (as described already in http://bugs.gentoo.org/show_bug.cgi?id=212772 and http://bugs.gentoo.org/show_bug.cgi?id=213800) the following line above the 
AT_M4DIR="m4" eautoreconf line:

sed -i -e '/AC_PROG_CC/aAC_PROG_CXX'  "${S}"/configure.ac

And it works.
Comment 2 Rémi Cardona gentoo-dev 2008-05-06 13:19:38 UTC
/me wonders _when_ will we stop getting bug reports for esound :)

I'll look into it, thanks
Comment 3 Diego Elio Pettenò (RETIRED) gentoo-dev 2008-05-06 13:39:15 UTC
The day when we'll last rite it out of portage, I suppose.
Comment 4 Rafał Mużyło 2008-05-07 07:42:06 UTC
(In reply to comment #1)
> I've actually also solved the problem.. but this is not the way to go i guess:
> Just inserted (as described already in
> http://bugs.gentoo.org/show_bug.cgi?id=212772 and
> http://bugs.gentoo.org/show_bug.cgi?id=213800) the following line above the 
> AT_M4DIR="m4" eautoreconf line:
> 
> sed -i -e '/AC_PROG_CC/aAC_PROG_CXX'  "${S}"/configure.ac
> 
> And it works.
> 
Actually, this IS a real fix, and a one that doesn't break anything.
If they use C++, AC_PROG_CXX should have been there anyway, and not implicitly called by old libtool.
Comment 5 Rémi Cardona gentoo-dev 2008-05-26 13:18:54 UTC
Hum... I actually fixed this 3 weeks ago and forgot to close this bug :)

Thanks for the fix, it's in portage without a revbump.

Closing